<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class MariageAll extends Model
{
    /** @use HasFactory<\Database\Factories\MariageAllFactory> */
    use HasFactory;
    protected $fillable = [
        'epoux_id',
        'epouse_id',
        'type_mariage_id',
        'lieu',
        'date',
        'observation',
        'status',
    ];

    public function type_mariage()
    {
        return $this->belongsTo(Type_mariage::class);
    }
    public function personne()
    {
        return $this->belongsTo(Personne::class);
    }
}
